# Returns

- [Returns Portal v1 Snippet](https://docs.parcellab.com/docs/developers/v2/returns/v1.md): Configure the display of a Returns Portal in your shop that provides a streamlined returns process for your customers.
- [Connect Order Data](https://docs.parcellab.com/docs/developers/v2/returns/connect-order-data.md): Send your customers' order data via file or API when creating a tracking or let us retrieve the order data using a real-time API connection.
- [Receive Data](https://docs.parcellab.com/docs/developers/v2/returns/receive-data.md): Receive RMA exports via webhook, API or as a flat file (.csv or .tsv) to an SFTP server.
- [RMA Actions API](https://docs.parcellab.com/docs/developers/v2/returns/rma-actions-api.md): Control the return after it’s created: cancel, reschedule pickup, add labels, process returns, fetch return details, and manage exchange updates via one API surface.
- [Fetch Return Details API](https://docs.parcellab.com/docs/developers/v2/returns/rma-actions-api/fetch-return-details-api.md): Use this endpoint to fetch the details of an existing return by return ID.
- [Add Label API](https://docs.parcellab.com/docs/developers/v2/returns/rma-actions-api/add-label-api.md): Use this endpoint to add an additional return label to an already-created return.
- [Edit Return API](https://docs.parcellab.com/docs/developers/v2/returns/rma-actions-api/edit-return-api.md): Use this endpoint to apply post-registration edit operations to a return.
- [Process Return API](https://docs.parcellab.com/docs/developers/v2/returns/rma-actions-api/process-return-api.md): Use this endpoint to process an existing return and release refund or exchange actions where applicable.
- [Cancel RMA API](https://docs.parcellab.com/docs/developers/v2/returns/rma-actions-api/cancel-rma-api.md): Use this endpoint to cancel an already-created return (RMA).
- [Cancel Pickup Order API](https://docs.parcellab.com/docs/developers/v2/returns/rma-actions-api/cancel-pickup-order-api.md): Use this endpoint to cancel a previously scheduled pickup for an existing return.
- [Reschedule Pickup Order API](https://docs.parcellab.com/docs/developers/v2/returns/rma-actions-api/reschedule-pickup-order-api.md): Use this endpoint to move an existing scheduled pickup to a new date/time window.
- [Warehouse Events for Returns](https://docs.parcellab.com/docs/developers/v2/returns/warehouse-events-for-returns.md): Use the Return Processed API to trigger different return flows based on the acceptance or rejection of the registered return.
- [Return Processed Trigger](https://docs.parcellab.com/docs/developers/v2/returns/warehouse-events-for-returns/return-processed-trigger.md): Customize return and refund flows based on the verification of a return submitted through your Returns Portal.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parcellab.com/docs/developers/v2/returns.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
